Bug 173018 - [PATCH] www/jspwiki: Tomcat6, OptionsNG, take maintainership
[PATCH] www/jspwiki: Tomcat6, OptionsNG, take maintainership
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 10:50 UTC by nemysis
Modified: 2012-12-12 23:56 UTC (History)
1 user (show)

See Also:


Attachments
jspwiki-2.8.4_1.patch (19.11 KB, patch)
2012-10-24 10:50 UTC, nemysis
no flags Details | Diff
jspwiki.diff (16.77 KB, patch)
2012-10-26 00:28 UTC, nemysis
no flags Details | Diff
jspwiki.diff (18.11 KB, patch)
2012-10-26 16:18 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-10-24 10:50:00 UTC
- Take maintainership

Added file(s):
- pkg-plist

Makefile changed:

+DIST_SUBDIR=	java
+COMMENT=
+LICENSE=	AL2
+RUN_DEPENDS=	${LOCALBASE}/apache-tomcat-6.0/bin/bootstrap.jar:${PORTSDIR}/www/tomcat6
+WEBAPPDIR=	${PREFIX}/apache-tomcat-6.0/webapps
+.include <bsd.port.options.mk>
+post-extract:
 do-install:

Minor changes pkg-descr.

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: only one MASTER_SITE configured.  Consider adding additional mirrors.
0 fatal errors and 3 warnings found.

port test: clean


Build log

https://redports.org/buildarchive/20121023194607-53576/
Comment 1 jgh freebsd_committer 2012-10-24 18:43:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

Please update your patch so it is configuration/properties file 
upgrade-safe
Comment 2 nemysis 2012-10-26 00:28:10 UTC
Use now variable %%WEBAPPS%% and %%TOMCAT%% in pkg-plist.
Comment 3 nemysis 2012-10-26 16:18:09 UTC
Use now %%TOMCATDIR%% in pkg-plist.
Comment 4 jgh freebsd_committer 2012-12-12 23:56:44 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!